How to Install / Upgrade Banshee in Ubuntu, Linux Mint via PPA

August 7, 2013 — 2 Comments

banshee media playerWant to install or upgrade the latest version of Banshee Music Player? Well, here I’ll show you how to do it in Ubuntu and Linux Mint via its PPA repository.

At the moment of writing this tutorial, the latest release is Banshee 2.6.1 and it’s available for Ubuntu 13.10 Saucy, Ubuntu 13.04 Raring, Ubuntu 12.10 Quantal, Ubuntu 12.04 Precise, Ubuntu 11.10 Oneiric, and Linux Mint 15, 14, 13, 12.

Add Banshee PPA:

Press Ctrl+Alt+T to open terminal window for running commands. When it opens, copy below command and paste in terminal (Ctrl+Shift+V) and hit enter:

sudo add-apt-repository ppa:banshee-team/ppa

It will add the Banshee PPA repository to your system so that you can install and receive updates via package manager or apt-get command.

Install / Upgrade Banshee

For Linux Mint users (and Ubuntu users with Synaptic installed), open Synaptic Package Manager from the start menu. Click Reload to update package lists, search banshee and mark for installation or upgrade by right-clicking on result. Finally click Apply to install / upgrade.

install / upgrade banshee synaptic

Both Linux Mint and Ubuntu can run below commands instead:

sudo apt-get update; sudo apt-get install banshee


I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to

2 responses to How to Install / Upgrade Banshee in Ubuntu, Linux Mint via PPA

  1. Thanks man, this worked perfectly for me. Nice and clear. Ubuntu 16.04 LTS.

  2. Hi
    did not work on Elementary OS “loki” – was thinking because EOS is based on Ubuntu16.04 ist should work what other MediaPlayer would YOU use ??

Leave a Reply


Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>